Uploaded image for project: 'Core Server'
  1. Core Server
  2. SERVER-48035

Update doc_validation_encrypt_keywords.js multiversion test to run against a standalone

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Major - P3
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: 4.4.0-rc6
    • Component/s: None
    • Labels:
      None
    • Backwards Compatibility:
      Fully Compatible
    • Operating System:
      ALL
    • Sprint:
      Query 2020-05-18
    • Linked BF Score:
      14

      Description

      As part of SERVER-45514, parsing a collection validator with action "warn" or level "moderate" will fail if there are any encryption-related keywords in the expression. When such a validator is replicated, the secondary will fail to apply the oplog entry. As a stop gap, the multiversion test in the title should instead run against a standalone mongod until the secondary issue is addressed.

        Attachments

          Issue Links

            Activity

              People

              Assignee:
              nicholas.zolnierz Nicholas Zolnierz
              Reporter:
              nicholas.zolnierz Nicholas Zolnierz
              Participants:
              Votes:
              0 Vote for this issue
              Watchers:
              1 Start watching this issue

                Dates

                Created:
                Updated:
                Resolved: